# Configuration file for the language: Shape Script
# NOTE: This file is automatically generated by Enterprise Architect, changes made manually may be lost.
LEXER=cpp

# (Default)

# Brace Highlighting

# Caret Line

# Comments
COMMENT_LINECOMMENT_TOKEN=//
COMMENT_STREAMCOMMENTSTART_TOKEN=/*
COMMENT_STREAMCOMMENTEND_TOKEN=*/

# Indentation
INDENT_AUTOMATIC=true
INDENT_STATEMENT_KEYWORDS=else if
INDENT_BLOCK_START_CHAR={
INDENT_BLOCK_END_CHAR=}
INDENT_STATEMENT_LOOKBACK=20

# Intellisense

# Language
CASE_SENSITIVE=false
KEYWORDS=if else return shape decoration text
KEYWORDS_EXTENDED=true false lineto moveto addsubshape setorigin ellipse rectangle roundrect setpen setpencolor setpenwidth setfillcolor setdefaultcolors setlinestyle arc arcto bezierto startpath startcloudpath endpath strokepath fillpath fillandstrokepath polygon print println printifdefined printwrapped hasstatus hasprop hastag iscomposite showlabel hidelabel startcloudpath image drawnativeshape getuserfillcolor getuserbordercolor getuserfontcolor getuserpensize hastag hasproperty main label source target defsize setfixedregion drawcomposeddiagram drawparentshape appendcompartmenttext setcompartmentname setfontcolor

# Literals

# Macros

# Preprocessor

# Whitespace
